Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.util
Class JSF

    java.lang.Object
      org.jboss.seam.util.JSF

    public class JSF

extends Object

Field Summary
`static Class` | `CONVERTER_EXCEPTION`
`static Class` | `DATA_MODEL`
`static Class` | `FACES_EVENT`
`static Method` | `GET_ROW_COUNT`
`static Method` | `GET_WRAPPED_DATA`
`static Object` | `INVOKE_APPLICATION`
`static Class` | `PHASE_ID`
`static Object` | `RENDER_RESPONSE`
`static Object` | `RESTORE_VIEW`
`static Method` | `SET_WRAPPED_DATA`
`static Object` | `UPDATE_MODEL_VALUES`
`static Class` | `VALIDATOR_EXCEPTION`

Constructor Summary
`JSF()`

Method Summary
`static int` | `getRowCount(Object dataModel)`
`static Object` | `getWrappedData(Object dataModel)`
`static Object` | `setWrappedData(Object dataModel, Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PHASE_ID

    public static final Class PHASE_ID

### FACES_EVENT

    public static final Class FACES_EVENT

### DATA_MODEL

    public static final Class DATA_MODEL

### VALIDATOR_EXCEPTION

    public static final Class VALIDATOR_EXCEPTION

### CONVERTER_EXCEPTION

    public static final Class CONVERTER_EXCEPTION

### GET_WRAPPED_DATA

    public static final Method GET_WRAPPED_DATA

### SET_WRAPPED_DATA

    public static final Method SET_WRAPPED_DATA

### GET_ROW_COUNT

    public static final Method GET_ROW_COUNT

### RESTORE_VIEW

    public static final Object RESTORE_VIEW

### UPDATE_MODEL_VALUES

    public static final Object UPDATE_MODEL_VALUES

### INVOKE_APPLICATION

    public static final Object INVOKE_APPLICATION

### RENDER_RESPONSE

    public static final Object RENDER_RESPONSE

Constructor Detail

### JSF

    public JSF()

Method Detail

### getRowCount

    public static int getRowCount(Object dataModel)

### getWrappedData

    public static Object getWrappedData(Object dataModel)

### setWrappedData

    public static Object setWrappedData(Object dataModel,
                                        Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.